"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// import path from "path";
// import cosmiconfig from "cosmiconfig";
// import prettier from "prettier";
const gluegun_1 = require("gluegun");
const ejs_1 = __importDefault(require("ejs"));
const config_1 = require("../config");
function generateFile(props, pathToTemplate
// destFolder: string,
// filename: string
) {
    // const target = path.join(destFolder, '/', filename);
    // const explorer = cosmiconfig('prettier');
    const config = new config_1.Config();
    const data = {
        config,
        props,
        filename: pathToTemplate,
        ...gluegun_1.strings
    };
    if (!gluegun_1.filesystem.isFile(pathToTemplate)) {
        throw new Error(`template not found ${pathToTemplate}`);
    }
    const templateContent = gluegun_1.filesystem.read(pathToTemplate);
    return ejs_1.default.render(templateContent, data);
    /*const generated = prettier.format(content, {
      ...(await explorer.search() || {} as any).config,
      parser: 'typescript'
    });*/
    // filesystem.write(target, generated);
    // print.info(`Generated file at ${target}`);
}
function codeGeneratorUtil(options) {
    const names = {
        className: gluegun_1.strings.pascalCase(options.className),
        classNamePlural: gluegun_1.strings.pascalCase(gluegun_1.strings.plural(options.className)),
        camelName: gluegun_1.strings.camelCase(options.className),
        kebabName: gluegun_1.strings.kebabCase(options.className),
        camelNamePlural: gluegun_1.strings.camelCase(gluegun_1.strings.plural(options.className))
    };
    const config = new config_1.Config();
    // const cliGeneratePath = options.destFolder || path.join(config.get('ROOT_FOLDER'), '/', config.get('CLI_GENERATE_PATH'), '/');
    // const destFolder = supplant(cliGeneratePath, names);
    const tcgPathInGeneratedFolder = config.get('MODULE_IMPORT_PATH');
    // const generatedPath = config.get('GENERATED_FOLDER');
    // const generatedFolderRelativePath = path.relative(destFolder, generatedPath);
    let tcgPathInSourceFiles;
    if (tcgPathInGeneratedFolder === 'tcg') {
        tcgPathInSourceFiles = 'tcg';
    }
    else if (tcgPathInGeneratedFolder.charAt(0) === '@') {
        tcgPathInSourceFiles = tcgPathInGeneratedFolder;
    }
    else {
        // const tcgAbsolutePath = path.join(generatedPath, tcgPathInGeneratedFolder);
        // tcgPathInSourceFiles = path.relative(destFolder, tcgAbsolutePath);
    }
    const props = {
        ...names,
        pascalCase: gluegun_1.strings.pascalCase,
        camelCase: gluegun_1.strings.camelCase,
        kebabCase: gluegun_1.strings.kebabCase,
        fields: options.fields,
        generatedFolderRelativePath: '..',
        tcgPathInSourceFiles
    };
    return generateFile(props, options.pathToTemplate /*, destFolder, options.destFileName*/);
}
exports.codeGeneratorUtil = codeGeneratorUtil;
