"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const metadata_1 = require("../../metadata");
const utils_1 = require("./utils");
__export(require("./utils"));
__export(require("./types"));
__export(require("./create"));
__export(require("./read"));
__export(require("./update"));
__export(require("./resolver"));
function entityListToImports(_entities) {
    const imports = [];
    const enumMap = metadata_1.getMetadataStorage().enumMap;
    Object.keys(enumMap).forEach((tableName) => {
        Object.keys(enumMap[tableName]).forEach((columnName) => {
            const enumColumn = enumMap[tableName][columnName];
            const filename = utils_1.filenameToImportPath(enumColumn.filename);
            imports.push(`import { ${enumColumn.name} } from '../${filename}'\n`);
            imports.push(`export { ${enumColumn.name} } from '../${filename}'\n`);
            imports.push(`registerEnumType(${enumColumn.name}, {
        name: "${enumColumn.name}"
      });\n`);
        });
    });
    const classMap = metadata_1.getMetadataStorage().classMap;
    Object.keys(classMap).forEach((tableName) => {
        const classObj = classMap[tableName];
        imports.push(`import { ${classObj.name} } from './types/${classObj.name}'\n`);
        imports.push(`export { ${classObj.name} } from './types/${classObj.name}'\n`);
    });
    return imports.join('');
}
exports.entityListToImports = entityListToImports;
