"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
// This subscriber will log all CRUD operations (left off "read" as it would be too noisy)
const typeorm_1 = require("typeorm");
// import { logger } from './../core/logger';
let EverythingSubscriber = class EverythingSubscriber {
    /**
     * Called before entity insertion.
     */
    beforeInsert(event) {
        // console.log(`Before Insert: `, event.entity);
        console.log(`Before Insert: `, event.entity);
    }
    /**
     * Called before entity update.
     */
    beforeUpdate(event) {
        console.log(`BEFORE ENTITY UPDATED: `, event.entity);
    }
    /**
     * Called before entity deletion.
     */
    beforeRemove(event) {
        console.log(`BEFORE ENTITY WITH ID ${event.entityId} REMOVED: `, event.entity);
    }
    /**
     * Called after entity insertion.
     */
    afterInsert(event) {
        console.log(`AFTER ENTITY INSERTED: `, event.entity);
    }
    /**
     * Called after entity update.
     */
    afterUpdate(event) {
        console.log(`AFTER ENTITY UPDATED: `, event.entity);
    }
    /**
     * Called after entity deletion.
     */
    afterRemove(event) {
        console.log('Deleted', event.entity, 'with ID', event.entityId);
    }
};
EverythingSubscriber = __decorate([
    typeorm_1.EventSubscriber()
], EverythingSubscriber);
exports.EverythingSubscriber = EverythingSubscriber;
