import { Container } from 'typedi';
interface ConfigOptions {
    dotenvPath?: string;
    configSearchPath?: string;
    container?: Container;
}
export declare class Config {
    private options;
    readonly TCG_ENV_PREFIX = "TCG_";
    readonly TYPEORM_ENV_PREFIX = "TYPEORM_";
    readonly TCG_DB_ENV_PREFIX = "TCG_DB_";
    defaults: Record<string, any>;
    devDefaults: Record<string, any>;
    PROJECT_ROOT: string;
    container: Container;
    NODE_ENV?: string;
    config: any;
    constructor(options?: ConfigOptions);
    determineNodeEnv(dotenvPath: string): string | undefined;
    loadDotenvFiles(dotenvPath: string): void;
    loadSync(): Config;
    get(key?: string): any;
    tcgEnvVariables(): any;
    tcgDBEnvVariables(): any;
    typeORMEnvVariables(): any;
    translateEnvVar(key: string, value: string): string | string[];
    envVarsByPrefix(prefix: string): any;
    typeORMToTcgEnvVariables(): any;
    writeTcgEnvVars(): void;
    validateEntryExists(key: string): void;
    loadStaticConfigSync(): {
        [key: string]: any;
    };
    private loadStaticConfigFileSync;
}
export {};
