import { PageInfo } from '../sgql';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare type StringMap = {
    [key: string]: string;
};
export declare type StringMapOptional = {
    [key: string]: string | undefined;
};
export declare type DateTime = string;
export declare type IDType = number | string | bigint;
export interface ConnectionResponse<Entity> {
    edges: {
        cursor: string;
        node: Entity;
    }[];
    pageInfo: PageInfo;
    aggregate: {
        count: number;
    };
}
export declare type ClassType<T = any> = new (...args: any[]) => T;
export declare type Maybe<T> = T | void;
