import { EntityMetadata } from 'typeorm';
import { ColumnMetadata } from 'typeorm/metadata/ColumnMetadata';
import { RelationMetadata } from 'typeorm/metadata/RelationMetadata';
import { GraphQLEnumType, GraphQLList, GraphQLObjectType, GraphQLScalarType, GraphQLType } from 'graphql';
export declare const uniquesForEntity: (entity: EntityMetadata) => string[];
export declare function filenameToImportPath(filename: string): string;
export declare function columnToTypes(column: ColumnMetadata): {
    graphqlType: GraphQLScalarType | GraphQLEnumType | GraphQLList<GraphQLType>;
    tsType: string;
};
export declare function relationToTypes(relation: RelationMetadata): {
    graphqlType: GraphQLObjectType<any, any, {
        [key: string]: any;
    }>;
    tsType: GraphQLObjectType<any, any, {
        [key: string]: any;
    }>;
};
export declare function inverseRelationToTypes(inverseRelation: RelationMetadata): {
    inverseGraphqlType: GraphQLObjectType<any, any, {
        [key: string]: any;
    }>;
    inverseTsType: GraphQLObjectType<any, any, {
        [key: string]: any;
    }>;
};
export declare function extractEnumObject(column: ColumnMetadata): GraphQLEnumType;
export declare function columnToTypeScriptType(column: ColumnMetadata): string;
export declare function relationToTypeScriptType(relation: RelationMetadata): GraphQLObjectType;
export declare function inverseRelationToTypeScriptType(inverseRelation: RelationMetadata): GraphQLObjectType;
export declare function columnTypeToGraphQLDataType(column: ColumnMetadata): string;
export declare function relationTypeToGraphQLDataType(relation: RelationMetadata): GraphQLObjectType;
export declare function inverseRelationTypeToGraphQLDataType(inverseRelation: RelationMetadata): GraphQLObjectType;
export declare function columnToGraphQLType(column: ColumnMetadata): GraphQLScalarType | GraphQLEnumType | GraphQLList<GraphQLType>;
export declare function relationToGraphQLType(relation: RelationMetadata): GraphQLObjectType;
export declare function inverseRelationToGraphQLType(inverseRelation: RelationMetadata): GraphQLObjectType;
