import { EntitySubscriberInterface, InsertEvent, RemoveEvent, UpdateEvent } from 'typeorm';
export declare class EverythingSubscriber implements EntitySubscriberInterface {
    /**
     * Called before entity insertion.
     */
    beforeInsert(event: InsertEvent<any>): void;
    /**
     * Called before entity update.
     */
    beforeUpdate(event: UpdateEvent<any>): void;
    /**
     * Called before entity deletion.
     */
    beforeRemove(event: RemoveEvent<any>): void;
    /**
     * Called after entity insertion.
     */
    afterInsert(event: InsertEvent<any>): void;
    /**
     * Called after entity update.
     */
    afterUpdate(event: UpdateEvent<any>): void;
    /**
     * Called after entity deletion.
     */
    afterRemove(event: RemoveEvent<any>): void;
}
